org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfParagraphBreak

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfParagraphBreak

    public class RtfParagraphBreak
    extends RtfElement

Class which represents a paragraph break.

### Field Summary

### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`attrib, parent, writer`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canHide()` Whether or not the break can be skipped.
`boolean` `isEmpty()`
`void` `switchControlWord(String controlWord)` Sets a different control word for this paragraph.
`protected void` `writeRtfContent()` write RTF code of all our children

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`close, getParentOfClass, getRtfAttributes, newLine, okToWriteRtf, toString, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in class `RtfElement`
Returns:
  true if this element would generate no "useful" RTF content

#### writeRtfContent

    protected void writeRtfContent()
                            throws IOException

write RTF code of all our children

Specified by:
  `writeRtfContent` in class `RtfElement`
Throws:
  `IOException` - for I/O problems

#### canHide

    public boolean canHide()

Whether or not the break can be skipped. If the paragraph marks a table cell end it is not possible

Returns:
  boolean

#### switchControlWord

    public void switchControlWord(String controlWord)

Sets a different control word for this paragraph. If this method is used the paragraph will always be displayed (@see canHide))

Parameters:
  `controlWord` - the new control word